aboutsummaryrefslogtreecommitdiff
path: root/scripts/recording
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/recording')
-rwxr-xr-xscripts/recording/camscreen.sh5
1 files changed, 3 insertions, 2 deletions
diff --git a/scripts/recording/camscreen.sh b/scripts/recording/camscreen.sh
index 4b2b594..97c0a3f 100755
--- a/scripts/recording/camscreen.sh
+++ b/scripts/recording/camscreen.sh
@@ -4,7 +4,8 @@ outfile=${1:-"$HOME/Pictures/recordings/video-cs-$(date -Iminutes).mp4"};
[[ -f "$outfile" ]] && echo "[File already exists]: $outfile" && exit 1;
-ffplay /dev/video0 -s 300x200 -an &
+trap "killall background" SIGINT SIGTERM EXIT
-ffmpeg -f x11grab -s 1920x1080 -i :0.0 -f alsa -i hw:0,0 $outfile;
+ffplay /dev/video0 -s 300x200 -an >/dev/null &
+ffmpeg -f x11grab -s 1920x1080 -i :0.0 -f alsa -i loophw00 $outfile